### Property

# Ide EditorSearch:visible

#### Declaration

    property visible: utf8 [ read, write ]

#### Description

The “visible” property is used to specify if the search results should be highlighted in the buffer. Generally, you’ll want this off while the interactive search is hidden as it allows the `IdeEditorSearch` to perform various optimizations.

However, some cases, such as Vim search movements, may want to show the search highlights, but are not within an interactive search.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_editor_search_set_visible()`
Getter method | `ide_editor_search_get_visible()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no